package com.boman.report;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.EnableAspectJAutoProxy;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * web-core
 *
 * @author shiqian */
//@EnableAspectJAutoProxy(exposeProxy = true)
@MapperScan("com.boman.**.mapper")
//@EnableAsync
@ComponentScan(value = {"com.boman", "org.jeecg.modules.jmreport"})
@SpringBootApplication
public class BomanReportApplication {

    public static void main(String[] args) {
        SpringApplication.run(BomanReportApplication.class, args);
        System.out.println();
        System.out.println();
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println("---------------------------------------------- boman-report 模块启动成功----------------------------------------------");
        System.out.println();
        System.out.println();
    }
}
